<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
	xmlns:gslib="http://www.greenstone.org/skinning"
	xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"
	extension-element-prefixes="java util"
	exclude-result-prefixes="java util gsf">


	<!-- set page title to be collection name instead of document name -->
	<xsl:template name="pageTitle"><gslib:collectionName/></xsl:template>

	<xsl:template name="javascriptForDocumentView">
	    <script type="text/javascript" src="interfaces/default/js/document_scripts.js"><xsl:text> </xsl:text></script>
	    <script type="text/javascript" src="sites/pei-jones/js/custom-document.js"><xsl:text> </xsl:text></script>
        </xsl:template>

	<xsl:template name="javascriptForDocumentEditing">
	  <!--<script type="text/javascript" src="interfaces/default/js/combobox.js"><xsl:text> </xsl:text></script>-->
	  <script type="text/javascript" src="interfaces/default/js/documentedit_scripts.js"><xsl:text> </xsl:text></script>
	  <script type="text/javascript" src="interfaces/default/js/documentedit_scripts_util.js"><xsl:text> </xsl:text></script>
	  <script type="text/javascript" src="interfaces/default/js/hierarchy.js"><xsl:text> </xsl:text></script>
	  <!-- add in the pei-jones customisations -->
	  <script type="text/javascript" src="sites/pei-jones/js/custom-doc-editing.js"><xsl:text> </xsl:text></script>
	  <!-- add in the collection specific customisations -->
	  <script type="text/javascript" src="sites/pei-jones/collect/{$collName}/js/custom-doc-editing.js"><xsl:text> </xsl:text></script>
	  <script type="text/javascript">
	    <xsl:text disable-output-escaping="yes">
	      $(window).load(function()
	       {
		 if(gs.cgiParams.docEdit == "1")
		   {
		     readyPageForEditing();
		   }
	       });
	      
	    </xsl:text>
				<!-- download and process hierarchy files -->
                                <xsl:text disable-output-escaping="yes">$(document).ready(function(){</xsl:text>
                                <xsl:for-each select="//classifier[@hfile]">
                                        <xsl:text disable-output-escaping="yes">downloadAndProcessHierarchyFile('</xsl:text>
                                        <xsl:text>sites/pei-jones/collect/</xsl:text><xsl:value-of select="$collName"/><xsl:text>/etc/</xsl:text><xsl:value-of select="@hfile"/>
                                        <xsl:text disable-output-escaping="yes">','</xsl:text><xsl:value-of select="@metadata"/><xsl:text disable-output-escaping="yes">');</xsl:text>
                                </xsl:for-each>
                                <xsl:text disable-output-escaping="yes">});</xsl:text>

	  </script>
	</xsl:template>

	<xsl:template name="editBar" >
	  <div id="editBar">
	  <div id="editBarRight" stype="width:100%; float:right; margin: 0 0 10px 20px;" >
	    <div style="text-align:center;">
	      <!-- edit content button -->
	      <div style="margin:5px;" class="ui-state-default ui-corner-all">
		<div id="editContentButtonDiv" style="margin:3px" ><a id="editContentButton" style="padding: 3px; text-decoration:none;">
		  <xsl:attribute name="href">
		    <xsl:value-of select="$library_name"/>
		    <xsl:text>/collection/</xsl:text>
		    <xsl:value-of select="$collName"/>
		    <xsl:text>/document/</xsl:text>
		    <xsl:choose>
		      <xsl:when test="count(//documentNode) > 0">
			<xsl:value-of select="/page/pageResponse/document/documentNode/@nodeID"/>
		      </xsl:when>
		      <xsl:otherwise>
			<xsl:value-of select="/page/pageResponse/document/@nodeID"/>
		      </xsl:otherwise>
		    </xsl:choose>
		    <xsl:if test="not(/page/pageRequest/paramList/param[@name = 'docEdit']/@value = '1')">
		      <xsl:text>?ed=1&amp;docEdit=1</xsl:text>
		    </xsl:if>
		  </xsl:attribute>
		  <xsl:choose>
		    <xsl:when test="/page/pageRequest/paramList/param[@name = 'docEdit']/@value = '1'">
		      <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'de.hide_editor')"/>
		    </xsl:when>
		    <xsl:otherwise>
		      <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'de.edit_content')"/>
		    </xsl:otherwise>
		  </xsl:choose>
		</a>
		</div>
		<!-- place holder div for editing controls -->
		<!-- Note, we are putting these underneath instead of to the left -->
		<div id="editBarLeft"><xsl:text> </xsl:text></div>
	      </div>
	    </div>
	  </div>
	  </div>
	</xsl:template>

	
	<!-- The default template for displaying the document node text -->
	<!-- equivalent to gsf:text -->
	<xsl:template name="documentNodeTextOld">
		<!-- Hides the "This document has no text." message -->
		<xsl:variable name="noText">0</xsl:variable>
		<xsl:choose>
		<xsl:when test="not($noText = '1')">

			<!-- Section text -->
			<xsl:for-each select="nodeContent">
				<xsl:for-each select="node()">
					<xsl:choose>
						<xsl:when test="not(name())">
							<xsl:value-of select="." disable-output-escaping="yes"/>
						</xsl:when>
						<xsl:when test="name() = 'annotation'">
							<xsl:call-template name="displayAnnotation"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:apply-templates/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:when>
		<xsl:when test="$noText = '1' and not(metadataList/metadata[@name='Image'])">
			<gsf:link type="source"><gsf:metadata name="Source"/></gsf:link>
		</xsl:when>
		</xsl:choose>
		<xsl:text> </xsl:text>
	</xsl:template>

	<xsl:template name="topLevelSectionContent">
  		<xsl:call-template name="wrappedSectionImage"/>
		<xsl:call-template name="imageDownloadLink"/>
		<xsl:call-template name="pjMetadataDisplayTable"/>
		<xsl:call-template name="wrappedSectionText"/>
	</xsl:template>
	
	<xsl:template name="sectionContent">
  	  <xsl:call-template name="wrappedSectionImage"/>
	  <xsl:call-template name="imageDownloadLink"/>
		<xsl:call-template name="pjMetadataDisplayTable"/>
		<xsl:call-template name="wrappedSectionText"/>
	</xsl:template>

	<xsl:template name="sectionContentForEditing">
		<xsl:call-template name="wrappedSectionImage"/>
		<xsl:call-template name="imageDownloadLink"/>
		<xsl:call-template name="wrappedSectionTextForEditing"/>
	</xsl:template>

	<xsl:template name="imageDownloadLink">
	  <xsl:if test="$collName = 'written-works'">
	  <gsf:if-metadata-exists>
	    <gsf:metadata name="Image" hidden="true"/>
	    <gsf:if>
	      <gsf:link type="source" source_meta="Source">download tif image</gsf:link> 
	    </gsf:if>
	  </gsf:if-metadata-exists>
	  </xsl:if>
	</xsl:template>

	<xsl:template name="pjMetadataDisplayTable">
	<table cellpadding="1" cellspacing="0" class="alternating" hspace="5" style="margin-top: 15px; border: 1px solid #000; border-collapse: collapse;" vspace="5">
	  <gsf:switch>
	    <gsf:metadata name="pj.Title"/>
	    <gsf:when test="exists">
	      <tr>
		<td class="heading">
		  <p rect="norect">Title</p>
		</td>
		<td>
		  <p data="Title" rect="norect">
		    <gsf:metadata name="pj.Title"/>
		  </p>
		</td>
	      </tr>
	    </gsf:when>
	  </gsf:switch>
	  <gsf:switch>
	    <gsf:metadata name="pj.Date"/>
	    <gsf:when test="exists">
	      <tr>
		<td class="heading">
		  <p rect="norect">Date</p>
		</td>
		<td>
		  <p data="Date" rect="norect">
		    <gsf:metadata name="pj.Date" format="formatDate"/>
		  </p>
		</td>
	      </tr>
	    </gsf:when>
	  </gsf:switch>
	  <gsf:switch>
	    <gsf:metadata name="pj.Author"/>
	    <gsf:when test="exists">
	      <tr>
		<td class="heading">
		  <p rect="norect">Author</p>
		</td>
		<td>
		  <p data="Author" rect="norect">
		    <gsf:metadata name="pj.Author"/>
		  </p>
		</td>
	      </tr>
	    </gsf:when>
	  </gsf:switch>
	  <gsf:switch>
	    <gsf:metadata name="pj.Correspondent"/>
	    <gsf:when test="exists">
	      <tr>
		<td class="heading">
		  <p rect="norect">Correspondent</p>
		</td>
		<td>
		  <p data="Correspondent" rect="norect">
		    <gsf:metadata name="pj.Correspondent"/>
		  </p>
		</td>
	      </tr>
	    </gsf:when>
	  </gsf:switch>
	  <gsf:switch>
	    <gsf:metadata name="pj.Description"/>
	    <gsf:when test="exists">
	      <tr>
		<td class="heading">
		  <p rect="norect" style="font-weight: bold;">Description</p>
		</td>
		<td>
		  <p data="Description" rect="norect">
		    <gsf:metadata name="pj.Description"/>
		  </p>
		</td>
	      </tr>
	    </gsf:when>
	  </gsf:switch>
	  <gsf:switch>
	    <gsf:metadata name="pj.Subject"/>
	    <gsf:when test="exists">
	      <tr>
		<td class="heading">
		  <p rect="norect" style="font-weight: bold;">Subject</p>
		</td>
		<td>
		  <p data="Subject" rect="norect">
		    <gsf:metadata name="pj.Subject"/>
		  </p>
		</td>
	      </tr>
	    </gsf:when>
	  </gsf:switch>
	  <gsf:switch>
	    <gsf:metadata name="pj.PersonOfInterest"/>
	    <gsf:when test="exists">
	      <tr>
		<td class="heading">
		  <p rect="norect">Person of Interest</p>
		</td>
		<td>
		  <p data="PersonOfInterest" rect="norect">
		    <gsf:metadata name="pj.PersonOfInterest"/>
		  </p>
		</td>
	      </tr>
	    </gsf:when>
	  </gsf:switch>
	  <gsf:switch>
	    <gsf:metadata name="pj.Event"/>
	    <gsf:when test="exists">
	      <tr>
		<td class="heading">
		  <p rect="norect">Event</p>
		</td>
		<td>
		  <p data="Event" rect="norect">
		    <gsf:metadata name="pj.Event"/>
		  </p>
		</td>
	      </tr>
	    </gsf:when>
	  </gsf:switch>
	  <gsf:switch>
	    <gsf:metadata name="pj.Location"/>
	    <gsf:when test="exists">
	      <tr>
		<td class="heading">
		  <p rect="norect">Location</p>
		</td>
		<td>
		  <p data="Location" rect="norect">
		    <gsf:metadata name="pj.Location"/>
		  </p>
		</td>
	      </tr>
	    </gsf:when>
	  </gsf:switch>
	  <gsf:switch>
	    <gsf:metadata name="pj.Access"/>
	    <gsf:when test="exists">
	      <tr>
		<td class="heading">
		  <p rect="norect" style="font-weight: bold;">Access</p>
		</td>
		<td>
		  <p data="MSAccess" rect="norect">
		    <gsf:metadata name="pj.Access"/>
		  </p>
		</td>
	      </tr>
	    </gsf:when>
	  </gsf:switch>
	  <gsf:switch>
	    <gsf:metadata name="pj.MSHeading"/>
	    <gsf:when test="exists">
	      <tr>
		<td class="heading">
		  <p rect="norect" style="font-weight: bold;">Maori Subject Heading</p>
		</td>
		<td>
		  <p data="MSHeading" rect="norect">
		    <gsf:metadata name="pj.MSHeading"/>
		  </p>
		</td>
	      </tr>
	    </gsf:when>
	  </gsf:switch>
	  <gsf:switch>
	    <gsf:metadata name="pj.Document-Type"/>
	    <gsf:when test="exists">
	      <tr>
		<td class="heading">
		  <p rect="norect" style="font-weight: bold;">Document-Type</p>
		</td>
		<td>
		  <p data="Document-Type" rect="norect">
		    <gsf:metadata name="pj.Document-Type"/>
		  </p>
		</td>
	      </tr>
	    </gsf:when>
	  </gsf:switch>
	  <gsf:switch>
	    <gsf:metadata name="pj.Notes"/>
	    <gsf:when test="exists">
	      <tr>
		<td class="heading">
		  <p rect="norect" style="font-weight: bold;">Notes</p>
		</td>
		<td>
		  <p data="Notes" rect="norect">
		    <gsf:metadata name="pj.Notes"/>
		  </p>
		</td>
	      </tr>
	    </gsf:when>
	  </gsf:switch>
	  <gsf:switch>
	    <gsf:metadata name="pj.Provenance"/>
	    <gsf:when test="exists">
	      <tr>
		<td class="heading">
		  <p rect="norect" style="font-weight:bold;">Provenance</p>
		</td>
		<td>
		  <p data="Provenance" rect="norect">
		    <gsf:metadata name="pj.Provenance"/>
		  </p>
		</td>
	      </tr>
	    </gsf:when>
	  </gsf:switch>
	  <gsf:switch>
	    <gsf:metadata name="pj.Tags"/>
	    <gsf:when test="exists">
	      <tr>
		<td class="heading">
		  <p rect="norect" style="font-weight: bold;">Tags</p>
		</td>
		<td>
		  <p data="Tags" rect="norect">
		    <gsf:metadata name="pj.Tags"/>
		  </p>
		</td>
	      </tr>
	    </gsf:when>
	  </gsf:switch>
	  <gsf:switch>
	    <gsf:metadata name="pj.Catalogue-Number"/>
	    <gsf:when test="exists">
	      <tr>
		<td class="heading">
		  <p rect="norect">Catalogue-Number</p>
		</td>
		<td>
		  <p data="Catalogue-Number" rect="norect">
		    <gsf:metadata name="pj.Catalogue-Number"/>
		  </p>
		</td>
	      </tr>
	    </gsf:when>
	  </gsf:switch>
<!--	  <gsf:switch>
	    <gsf:metadata name="pj.Catalogue-Short"/>
	    <gsf:when test="exists">
	      <tr>
		<td class="heading">
		  <p rect="norect">Catalogue-Short</p>
		</td>
		<td>
		  <p data="Catalogue-Short" rect="norect">
		    <gsf:metadata name="pj.Catalogue-Short"/>
		  </p>
		</td>
	      </tr>
	    </gsf:when>
	  </gsf:switch>-->
	  <gsf:switch>
	    <gsf:metadata name="pj.Physical-Location"/>
	    <gsf:when test="exists">
	      <tr>
		<td class="heading">
		  <p rect="norect">Physical Location</p>
		</td>
		<td>
		  <p data="Physical-Location" rect="norect">
		    <gsf:metadata name="pj.Physical-Location"/>
		  </p>
		</td>
	      </tr>
	    </gsf:when>
	  </gsf:switch>
	  <gsf:switch>
	    <gsf:metadata name="pj.Physical-Description"/>
	    <gsf:when test="exists">
	      <tr>
		<td class="heading">
		  <p rect="norect">Physical Description</p>
		</td>
		<td>
		  <p data="Physical-Location" rect="norect">
		    <gsf:metadata name="pj.Physical-Description"/>
		  </p>
		</td>
	      </tr>
	    </gsf:when>
	  </gsf:switch>
	  <gsf:switch>
	    <gsf:metadata name="pj.Year"/>
	    <gsf:when test="exists">
	      <tr>
		<td class="heading">
		  <p rect="norect">Year</p>
		</td>
		<td>
		  <p data="Year" rect="norect">
		    <gsf:metadata name="pj.Year"/>
		  </p>
		</td>
	      </tr>
	    </gsf:when>
	  </gsf:switch>
	  <gsf:switch>
	    <gsf:metadata name="pj.Format"/>
	    <gsf:when test="exists">
	      <tr>
		<td class="heading">
		  <p rect="norect">Format</p>
		</td>
		<td>
		  <p data="Format" rect="norect">
		    <gsf:metadata name="pj.Format"/>
		  </p>
		</td>
	      </tr>
	    </gsf:when>
	  </gsf:switch>
	  <tr><td></td></tr>
	</table>

	</xsl:template>

	<!-- these are some old templates from collectionConfig.xmls -->
	<xsl:template name="showAssocFilePath">
	  <xsl:if test="/page/pageRequest/paramList/param[@name='p.showAssocFilePath']/@value='1'">
	    <span data="gsdl.Metadata: assocfilepath" id="assocfilepath" rect="norect">@assocfilepath<gsf:metadata name="assocfilepath"/></span>
	  </xsl:if>
	</xsl:template>

      <xsl:template name="showExpediteeAttributes">
	<xsl:variable name="ScreenName">Screen</xsl:variable>
	<xsl:variable name="ThumbName">Thumb</xsl:variable>
	<xsl:if test="/page/pageRequest/paramList/param[@name='p.showExpediteeAttributes']/@value='1'">
	  <table attr="norect" cellpadding="1" cellspacing="0" width="100%">
	    <tr attr="norect">
	      <td attr="norect" colspan="2">
		<span data="gsdl.Metadata: Screen" rect="norect">@Screenview: greenstone3-svn/web/sites/localsite/collect/pj-catalogue/index/assoc/<xsl:value-of disable-output-escaping="yes" select="/page/pageResponse/document/metadataList/metadata[@name = 'assocfilepath']"/>/<xsl:value-of disable-output-escaping="yes" select="(.//metadataList)[last()]/metadata[@name = $ScreenName]"/></span>
	      </td>
	    </tr>
	    <tr attr="norect">
	      <td attr="norect" colspan="2">
		<span data="gsdl.Metadata: Thumb" rect="norect">@Thumbnail: greenstone3-svn/web/sites/localsite/collect/pj-catalogue/index/assoc/<xsl:value-of disable-output-escaping="yes" select="/page/pageResponse/document/metadataList/metadata[@name = 'assocfilepath']"/>/<xsl:value-of disable-output-escaping="yes" select="(.//metadataList)[last()]/metadata[@name = $ThumbName]"/></span>
	      </td>
	    </tr>
	    <tr attr="norect">
	      <td attr="norect" colspan="2">
		<span data="gsdl.Metadata: Catalogue-Number" rect="norect">@Catalogue-Number:<gsf:metadata name="Catalogue-Number"/></span>
	      </td>
	    </tr>
	  </table>
	</xsl:if>
      </xsl:template>


</xsl:stylesheet>
